Subject: Ticket Assigned - Retuned Lee cooper watch
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 04:21:21 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Retuned Lee cooper watch Dear Sir/Madam,
I have returned the lee cooper women's analog blue dial watch LC06625.490 last Mar. 20, 2021. I would like to follow up my refund. The order number is 6281442130 which amounted to 171sr. I don't  have a returned receipt as your courier didn't provide me with any.
I would appreciate if you can process this as soon as possible.
Thank you.
Sent from Yahoo Mail on Android
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2360078